#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_SouthSeaTreasureHuntRewardCFGData
{
	//ID
	int mID;
	//场次，1-青铜 2-白银 3-黄金 4-钻石
	int mRoomId;
	//奖励列表
	std::vector<int> mRewardList;
	//权重
	int mWeight;
	//第一次
	int mFirst;
};

class Fish_SouthSeaTreasureHuntRewardCFG
{
public:
private:
	static std::auto_ptr<Fish_SouthSeaTreasureHuntRewardCFG> msSingleton;
public:
	int GetCount();
	const Fish_SouthSeaTreasureHuntRewardCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_SouthSeaTreasureHuntRewardCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_SouthSeaTreasureHuntRewardCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_SouthSeaTreasureHuntRewardCFGData> mMapData;
};
